Subject: Re: bug#26339: [PATCH v2 01/12] system: Pass <bootloader-parameter> to grub.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 08 May 2017 16:53:33 +0200

Hi Ludo,

> Since the goal of this patch set was to support multiple bootloaders,
> the right fix would be for (gnu system) to not use (gnu system grub).
> Instead there should probably be a (gnu system bootloaders) module
> providing a bootloader abstraction.

The still in review serie adds a (gnu system bootloader) module offering
the abstraction you're talking about. The file is added in "[PATCH v3
1/9] system: Add extlinux support"[1] and modified by following patches.

Thanks,

Mathieu

[1] : https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26339#268